Package com.sas.metadata.remote

# Interface SASPassword

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `Remote`, `Root`, `SecondaryType`

public interface SASPassword extends SecondaryType
Represents the storage of SAS passwords for SAS tables or connections. There will be one of these for each type of password associated with a file.

Attributes of SASPassword are:

- `Password`
- `Type`
- `Encryption`

Associations of SASPassword are:

- `AssociatedSecuredLibrary`
- `ProtectedConnections`
- `ProtectedPassthrus`
- `ProtectedTable`
- `TSAssociatedNamespace`

## Usage

To create an instance of this SASPassword, use the `factory` create methods.
Example: create a SASPassword with name "SASPassword_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     SASPassword myObject = (SASPassword) factory.createComplexMetadataObject(objectStore, "SASPassword_Object", MetadataObjects.SASPASSWORD, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ASSOCIATEDSECUREDLIBRARY_NAME`
  Constant used for the name of the AssociatedSecuredLibrary association.
  `static final String`
  `ASSOCIATION_PROTECTEDCONNECTIONS_NAME`
  Constant used for the name of the ProtectedConnections association.
  `static final String`
  `ASSOCIATION_PROTECTEDPASSTHRUS_NAME`
  Constant used for the name of the ProtectedPassthrus association.
  `static final String`
  `ASSOCIATION_PROTECTEDTABLE_NAME`
  Constant used for the name of the ProtectedTable association.
  `static final String`
  `ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME`
  Constant used for the name of the TSAssociatedNamespace association.
  `static final String`
  `ATTRIBUTE_ENCRYPTION_NAME`
  Constant used for the name of the Encryption attribute.
  `static final String`
  `ATTRIBUTE_PASSWORD_NAME`
  Constant used for the name of the Password attribute.
  `static final String`
  `ATTRIBUTE_TYPE_NAME`
  Constant used for the name of the Type attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SecuredLibrary`
  `getAssociatedSecuredLibrary()`
  Gets the `SecuredLibrary` for `AssociatedSecuredLibrary`
  `AssociationList`
  `getAssociatedSecuredLibrarys()`
  Gets the AssociationList of `AssociatedSecuredLibrarys`
  `AssociationList`
  `getAssociatedSecuredLibrarys(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedSecuredLibrarys`
  `String`
  `getEncryption()`
  Gets the `String` value of `Encryption`
  `int`
  `getEncryptionMaxLength()`
  Gets the maximum length of `Encryption`
  `int`
  `getEncryptionState()`
  Gets the Metadata State of `Encryption`
  `String`
  `getPassword()`
  Gets the `String` value of `Password`
  `int`
  `getPasswordMaxLength()`
  Gets the maximum length of `Password`
  `int`
  `getPasswordState()`
  Gets the Metadata State of `Password`
  `AssociationList`
  `getProtectedConnections()`
  Gets the Association list of `ProtectedConnections`
  `AssociationList`
  `getProtectedConnections(boolean fGoToServer)`
  Gets the Associationlist of `ProtectedConnections`
  `AssociationList`
  `getProtectedPassthrus()`
  Gets the Association list of `ProtectedPassthrus`
  `AssociationList`
  `getProtectedPassthrus(boolean fGoToServer)`
  Gets the Associationlist of `ProtectedPassthrus`
  `PhysicalTable`
  `getProtectedTable()`
  Gets the `PhysicalTable` for `ProtectedTable`
  `AssociationList`
  `getProtectedTables()`
  Gets the Association list of `ProtectedTables`
  `AssociationList`
  `getProtectedTables(boolean fGoToServer)`
  Gets the Associationlist of `ProtectedTables`
  `TSNamespace`
  `getTSAssociatedNamespace()`
  Gets the `TSNamespace` for `TSAssociatedNamespace`
  `AssociationList`
  `getTSAssociatedNamespaces()`
  Gets the Association list of `TSAssociatedNamespaces`
  `AssociationList`
  `getTSAssociatedNamespaces(boolean fGoToServer)`
  Gets the Associationlist of `TSAssociatedNamespaces`
  `String`
  `getType()`
  Gets the `String` value of `Type`
  `int`
  `getTypeMaxLength()`
  Gets the maximum length of `Type`
  `int`
  `getTypeState()`
  Gets the Metadata State of `Type`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `AssociatedSecuredLibrary`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAssociatedSecuredLibrary(SecuredLibrary inObject)`
  Sets the `AssociatedSecuredLibrarys` list 0th element to be `inObject`.
  `void`
  `setAssociatedSecuredLibrarys(AssociationList list)`
  Sets the `AssociatedSecuredLibrarys` list to be `list`.
  `void`
  `setAssociatedSecuredLibrarys(AssociationList list, int state)`
  Sets the `AssociatedSecuredLibrarys` list to be `list`.
  `void`
  `setEncryption(String inEncryption)`
  Sets the `Encryption` value and sets the state to MetadataState.LOCAL.
  `void`
  `setEncryption(String inEncryption, int state)`
  Sets the `Encryption` Metadata State.
  `void`
  `setEncryptionState(int state)`
  Sets the Metadata State of `Encryption`.
  `void`
  `setPassword(String inPassword)`
  Sets the `Password` value and sets the state to MetadataState.LOCAL.
  `void`
  `setPassword(String inPassword, int state)`
  Sets the `Password` Metadata State.
  `void`
  `setPasswordState(int state)`
  Sets the Metadata State of `Password`.
  `void`
  `setProtectedConnections(AssociationList list)`
  Sets the `ProtectedConnections` list to be `list`.
  `void`
  `setProtectedConnections(AssociationList inObjects, int state)`
  Sets the entire ProtectedConnections list to match the passed in AssociationList, sets the state of the ProtectedConnections
  `void`
  `setProtectedPassthrus(AssociationList list)`
  Sets the `ProtectedPassthrus` list to be `list`.
  `void`
  `setProtectedPassthrus(AssociationList inObjects, int state)`
  Sets the entire ProtectedPassthrus list to match the passed in AssociationList, sets the state of the ProtectedPassthrus
  `void`
  `setProtectedTable(PhysicalTable inObject)`
  Sets the `ProtectedTables` list 0th element to be `inObject`.
  `void`
  `setProtectedTables(AssociationList list)`
  Sets the `ProtectedTables` list to be `list`.
  `void`
  `setProtectedTables(AssociationList list, int state)`
  Sets the `ProtectedTables` list to be `list`.
  `void`
  `setTSAssociatedNamespace(TSNamespace inObject)`
  Sets the `TSAssociatedNamespaces` list 0th element to be `inObject`.
  `void`
  `setTSAssociatedNamespaces(AssociationList list)`
  Sets the `TSAssociatedNamespaces` list to be `list`.
  `void`
  `setTSAssociatedNamespaces(AssociationList list, int state)`
  Sets the `TSAssociatedNamespaces` list to be `list`.
  `void`
  `setType(String inType)`
  Sets the `Type` value and sets the state to MetadataState.LOCAL.
  `void`
  `setType(String inType, int state)`
  Sets the `Type` Metadata State.
  `void`
  `setTypeState(int state)`
  Sets the Metadata State of `Type`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_PASSWORD_NAME

    static final String ATTRIBUTE_PASSWORD_NAME
    Constant used for the name of the Password attribute.

    Password: Password

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_TYPE_NAME

    static final String ATTRIBUTE_TYPE_NAME
    Constant used for the name of the Type attribute.

    Type: The type of the SAS password for the table. Values are: READ, WRITE, ALTER, ALL, SASPW

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ENCRYPTION_NAME

    static final String ATTRIBUTE_ENCRYPTION_NAME
    Constant used for the name of the Encryption attribute.

    Encryption: Encryption

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDSECUREDLIBRARY_NAME

    static final String ASSOCIATION_ASSOCIATEDSECUREDLIBRARY_NAME
    Constant used for the name of the AssociatedSecuredLibrary association.

    AssociatedSecuredLibrary: The associated secured library that uses this password.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_PROTECTEDCONNECTIONS_NAME

    static final String ASSOCIATION_PROTECTEDCONNECTIONS_NAME
    Constant used for the name of the ProtectedConnections association.

    ProtectedConnections: The connection for protected servers.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_PROTECTEDPASSTHRUS_NAME

    static final String ASSOCIATION_PROTECTEDPASSTHRUS_NAME
    Constant used for the name of the ProtectedPassthrus association.

    ProtectedPassthrus: The connection for protected passthrus.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_PROTECTEDTABLE_NAME

    static final String ASSOCIATION_PROTECTEDTABLE_NAME
    Constant used for the name of the ProtectedTable association.

    ProtectedTable: The table associated with this password.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME

    static final String ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME
    Constant used for the name of the TSAssociatedNamespace association.

    TSAssociatedNamespace: The table server namespaces that use this access key.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `AssociatedSecuredLibrary`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPassword

    String getPassword() throws RemoteException
    Gets the `String` value of `Password`
    Returns:
      The `Password`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordState

    int getPasswordState() throws RemoteException
    Gets the Metadata State of `Password`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPasswordMaxLength

    int getPasswordMaxLength() throws RemoteException
    Gets the maximum length of `Password`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getType

    String getType() throws RemoteException
    Gets the `String` value of `Type`
    Returns:
      The `Type`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTypeState

    int getTypeState() throws RemoteException
    Gets the Metadata State of `Type`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTypeMaxLength

    int getTypeMaxLength() throws RemoteException
    Gets the maximum length of `Type`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getEncryption

    String getEncryption() throws RemoteException
    Gets the `String` value of `Encryption`
    Returns:
      The `Encryption`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getEncryptionState

    int getEncryptionState() throws RemoteException
    Gets the Metadata State of `Encryption`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getEncryptionMaxLength

    int getEncryptionMaxLength() throws RemoteException
    Gets the maximum length of `Encryption`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAssociatedSecuredLibrarys

    AssociationList getAssociatedSecuredLibrarys() throws RemoteException, MdException
    Gets the AssociationList of `AssociatedSecuredLibrarys`
    Returns:
      Returns the AssociationList of `AssociatedSecuredLibrarys` which can be of type:
      SecuredLibrary
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getAssociatedSecuredLibrary

    SecuredLibrary getAssociatedSecuredLibrary() throws RemoteException, MdException
    Gets the `SecuredLibrary` for `AssociatedSecuredLibrary`
    Returns:
      The `SecuredLibrary` ( `null` if not set) of `AssociatedSecuredLibrary`which can be of type:
      SecuredLibrary
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProtectedConnections

    AssociationList getProtectedConnections() throws RemoteException, MdException
    Gets the Association list of `ProtectedConnections`
    Returns:
      The AssociationList of `ProtectedConnections` which can be of type:
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProtectedPassthrus

    AssociationList getProtectedPassthrus() throws RemoteException, MdException
    Gets the Association list of `ProtectedPassthrus`
    Returns:
      The AssociationList of `ProtectedPassthrus` which can be of type:
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProtectedTables

    AssociationList getProtectedTables() throws RemoteException, MdException
    Gets the Association list of `ProtectedTables`
    Returns:
      The AssociationList of `ProtectedTables` which can be of type:
      PhysicalTable
      WorkTable
      SecuredTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProtectedTable

    PhysicalTable getProtectedTable() throws RemoteException, MdException
    Gets the `PhysicalTable` for `ProtectedTable`
    Returns:
      The `PhysicalTable` ( `null` if not set ) of `ProtectedTable` which can be of type:
      PhysicalTable
      WorkTable
      SecuredTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSAssociatedNamespaces

    AssociationList getTSAssociatedNamespaces() throws RemoteException, MdException
    Gets the Association list of `TSAssociatedNamespaces`
    Returns:
      The AssociationList of `TSAssociatedNamespaces` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSAssociatedNamespace

    TSNamespace getTSAssociatedNamespace() throws RemoteException, MdException
    Gets the `TSNamespace` for `TSAssociatedNamespace`
    Returns:
      The `TSNamespace` ( `null` if not set ) of `TSAssociatedNamespace` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedSecuredLibrarys

    AssociationList getAssociatedSecuredLibrarys(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedSecuredLibrarys`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `AssociatedSecuredLibrarys` which can be of type:
      SecuredLibrary
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProtectedConnections

    AssociationList getProtectedConnections(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ProtectedConnections`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `ProtectedConnections` which can be of type:
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProtectedPassthrus

    AssociationList getProtectedPassthrus(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ProtectedPassthrus`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `ProtectedPassthrus` which can be of type:
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getProtectedTables

    AssociationList getProtectedTables(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ProtectedTables`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `ProtectedTables` which can be of type:
      PhysicalTable
      WorkTable
      SecuredTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSAssociatedNamespaces

    AssociationList getTSAssociatedNamespaces(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TSAssociatedNamespaces`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `TSAssociatedNamespaces` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setPassword

    void setPassword(String inPassword) throws RemoteException
    Sets the `Password` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inPassword` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPassword

    void setPassword(String inPassword, int state) throws RemoteException
    Sets the `Password` Metadata State.
    Parameters:
      `inPassword` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPasswordState

    void setPasswordState(int state) throws RemoteException
    Sets the Metadata State of `Password`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setType

    void setType(String inType) throws RemoteException
    Sets the `Type` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setType

    void setType(String inType, int state) throws RemoteException
    Sets the `Type` Metadata State.
    Parameters:
      `inType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTypeState

    void setTypeState(int state) throws RemoteException
    Sets the Metadata State of `Type`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setEncryption

    void setEncryption(String inEncryption) throws RemoteException
    Sets the `Encryption` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inEncryption` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setEncryption

    void setEncryption(String inEncryption, int state) throws RemoteException
    Sets the `Encryption` Metadata State.
    Parameters:
      `inEncryption` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setEncryptionState

    void setEncryptionState(int state) throws RemoteException
    Sets the Metadata State of `Encryption`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedSecuredLibrarys

    void setAssociatedSecuredLibrarys(AssociationList list) throws RemoteException
    Sets the `AssociatedSecuredLibrarys` list to be `list`. Object of which can be of type:
    SecuredLibrary
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedSecuredLibrarys

    void setAssociatedSecuredLibrarys(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedSecuredLibrarys` list to be `list`. Object of which can be of type:
    SecuredLibrary
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedSecuredLibrary

    void setAssociatedSecuredLibrary(SecuredLibrary inObject) throws RemoteException
    Sets the `AssociatedSecuredLibrarys` list 0th element to be `inObject`.
    Parameters:
      `inObject` - SecuredLibrary
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProtectedConnections

    void setProtectedConnections(AssociationList list) throws RemoteException
    Sets the `ProtectedConnections` list to be `list`. Objects of which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProtectedConnections

    void setProtectedConnections(AssociationList inObjects, int state) throws RemoteException
    Sets the entire ProtectedConnections list to match the passed in AssociationList, sets the state of the ProtectedConnections
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProtectedPassthrus

    void setProtectedPassthrus(AssociationList list) throws RemoteException
    Sets the `ProtectedPassthrus` list to be `list`. Objects of which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProtectedPassthrus

    void setProtectedPassthrus(AssociationList inObjects, int state) throws RemoteException
    Sets the entire ProtectedPassthrus list to match the passed in AssociationList, sets the state of the ProtectedPassthrus
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProtectedTables

    void setProtectedTables(AssociationList list) throws RemoteException
    Sets the `ProtectedTables` list to be `list`. Objects of which can be of type:
    PhysicalTable
    WorkTable
    SecuredTable
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProtectedTables

    void setProtectedTables(AssociationList list, int state) throws RemoteException
    Sets the `ProtectedTables` list to be `list`. Objects of which can be of type:
    PhysicalTable
    WorkTable
    SecuredTable
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProtectedTable

    void setProtectedTable(PhysicalTable inObject) throws RemoteException
    Sets the `ProtectedTables` list 0th element to be `inObject`.
    Parameters:
      `inObject` - PhysicalTable
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSAssociatedNamespaces

    void setTSAssociatedNamespaces(AssociationList list) throws RemoteException
    Sets the `TSAssociatedNamespaces` list to be `list`. Objects of which can be of type:
    TSNamespace
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSAssociatedNamespaces

    void setTSAssociatedNamespaces(AssociationList list, int state) throws RemoteException
    Sets the `TSAssociatedNamespaces` list to be `list`. Objects of which can be of type:
    TSNamespace
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSAssociatedNamespace

    void setTSAssociatedNamespace(TSNamespace inObject) throws RemoteException
    Sets the `TSAssociatedNamespaces` list 0th element to be `inObject`.
    Parameters:
      `inObject` - TSNamespace
    Throws:
      `RemoteException` - If error communicating with remote object.